---
title: SVGGlyphRefElement
slug: Web/API/SVGGlyphRefElement
tags:
  - API
  - Deprecated
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}{{deprecated_header}}</div>

<p>The <strong><code>SVGGlyphRefElement</code></strong> interface corresponds to the {{SVGElement("glyphRef")}} elements.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGElement")}} and implements properties from {{domxref("SVGURIReference")}} and {{domxref("SVGStylable")}}.</em></p>

<dl>
 <dt>{{domxref("SVGGlyphRefElement.glyphRef")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("glyphRef")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGGlyphRefElement.format")}}</dt>
 <dd>A {{domxref("DOMString")}} corresponding to the {{SVGAttr("format")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGGlyphRefElement.x")}}</dt>
 <dd>A float corresponding to the {{SVGAttr("x")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGGlyphRefElement.y")}}</dt>
 <dd>A float corresponding to the {{SVGAttr("y")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGGlyphRefElement.dx")}}</dt>
 <dd>A float corresponding to the {{SVGAttr("dx")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGGlyphRefElement.dy")}}</dt>
 <dd>A float corresponding to the {{SVGAttr("dy")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("SVGElement")}} and implements methods from {{domxref("SVGURIReference")}} and {{domxref("SVGStylable")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#InterfaceSVGGlyphRefElement", "SVGGlyphRefElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGGlyphRefElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("glyphRef")}}</li>
</ul>
